### Method

# GLib KeyFile set_locale_string

since: 2.6

#### Declaration

    void
    g_key_file_set_locale_string (
      GKeyFile* key_file,
      const gchar* group_name,
      const gchar* key,
      const gchar* locale,
      const gchar* string
    )

#### Description

Associates a string value for `key` and `locale` under `group_name`. If the translation for `key` cannot be found then it is created.

Available since: 2.6

#### Parameters

`group_name`

  Type: `const gchar*`

  A group name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`key`

  Type: `const gchar*`

  A key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`locale`

  Type: `const gchar*`

  A locale identifier.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`string`

  Type: `const gchar*`

  A string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.